__gnu_pbds::sample_size_policy(3cxx)

NAME
__gnu_pbds::sample_size_policy - A sample size policy.

SYNOPSIS

#include <sample_size_policy.hpp>

  Public Types

typedef std::size_t size_type
Size type.

  Public Member Functions

sample_size_policy ()
Default constructor.
sample_range_hashing (const sample_size_policy &)
Copy constructor.
void swap (sample_size_policy &other)
Swaps content.

  Protected Member Functions

size_type get_nearest_larger_size (size_type size) const
Given a __size size, returns a __size that is larger.
size_type get_nearest_smaller_size (size_type size) const
Given a __size size, returns a __size that is smaller.

Detailed Description

A sample size policy.

Definition at line 47 of file sample_size_policy.hpp.

Member Typedef Documentation

  typedef std::size_t __gnu_pbds::sample_size_policy::size_type

Size type.

Definition at line 51 of file sample_size_policy.hpp.

Constructor & Destructor Documentation

  __gnu_pbds::sample_size_policy::sample_size_policy ()

Default constructor.

Member Function Documentation

  size_type __gnu_pbds::sample_size_policy::get_nearest_larger_size (size_type size) const [inline], [protected]

Given a __size size, returns a __size that is larger.

  size_type __gnu_pbds::sample_size_policy::get_nearest_smaller_size (size_type size) const [inline], [protected]

Given a __size size, returns a __size that is smaller.

  __gnu_pbds::sample_size_policy::sample_range_hashing (const sample_size_policy &)

Copy constructor.

  void __gnu_pbds::sample_size_policy::swap (sample_size_policy & other) [inline]

Swaps content.

Author

Generated automatically by Doxygen for libstdc++ from the source code.